Subject: ANVILS

From: [email-masked] (Gene Olson and Chris Wilson)
Date: Fri, 19 Apr 1996 17:21:54 -0400 (EDT)

Hi this just off the press

I was at Remington Machinery Sales 44143 Groesbeck Hwy., Clinton Twp., Mi.
 48036  Tel. 810-465-6946  Fax 810-465-7408 and he had about 8 different
size anvils for sale.  I asked about one about 150lbs made in England and
he said I could buy it for $150.00. I did not buy it but just wanted to
see what his prices were like.  Perhaps he would have what you need.
-
  ROBERT LORENZ  [email-masked]

The Beet goes on. 

Gene

 The Studios of Gene Olson and Chris Wilson - Working in Metals, Stone,
Mixed Media
    8600 NE O'Dean Ave, Elk River MN 55330
   fax:  612-441-5846  Phone:  612-441-1563
 email:  [email-masked]    URL:  http://www.cris.com/~mettlewk/